petsc-3.10.5 2019-03-28
Report Typos and Errors

# PETSC_VIEWER_STDOUT_

Creates a ASCII PetscViewer shared by all processors in a communicator.

### Synopsis

    #include "petscsys.h"
    PetscViewer  PETSC_VIEWER_STDOUT_(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameter

comm -the MPI communicator to share the PetscViewer

### Notes

Unlike almost all other PETSc routines, this does not return an error code. Usually used in the form

         XXXView(XXX object,PETSC_VIEWER_STDOUT_(comm));

### See Also

PETSC_VIEWER_DRAW_(), PetscViewerASCIIOpen(), PETSC_VIEWER_STDERR_, PETSC_VIEWER_STDOUT_WORLD,
PETSC_VIEWER_STDOUT_SELF

### Level

beginner

### Location

src/sys/classes/viewer/impls/ascii/vcreatea.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages